
From: Hiroyuki KAMEZAWA <kamezawa.hiroyu@jp.fujitsu.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/page_alloc.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN mm/page_alloc.c~no-buddy-bitmap-patch-revisit-for-mm-page_allocc-fix mm/page_alloc.c
--- 25/mm/page_alloc.c~no-buddy-bitmap-patch-revisit-for-mm-page_allocc-fix	2004-11-10 20:44:10.435274480 -0800
+++ 25-akpm/mm/page_alloc.c	2004-11-10 20:44:10.440273720 -0800
@@ -263,6 +263,7 @@ static inline void __free_pages_bulk (st
 	coalesced = base + page_idx;
 	set_page_order(coalesced, order);
 	list_add(&coalesced->lru, &zone->free_area[order].free_list);
+	zone->free_area[order].nr_free++;
 }
 
 static inline void free_pages_check(const char *function, struct page *page)
_
